Index Page wnfild_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void wnfild_c ( SpiceDouble     small,
                       SpiceCell     * window )

#### Abstract

       Fill small gaps between adjacent intervals of a double precision
       window.

#### Required_Reading

       WINDOWS

#### Keywords

       WINDOWS

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       small      I   Limiting measure of small gaps.
       window    I,O  Window to be filled.

#### Detailed_Input

       small       is the limiting measure of the small gaps to be
                   filled. Adjacent intervals separated by gaps of
                   measure less than or equal to small are merged.

       window      on input, is a window containing zero or more
                   intervals.

                   window must be declared as a double precision SpiceCell.

#### Detailed_Output

       window      on output, is the original window, after adjacent
                   intervals separated by small gaps have been merged.

#### Parameters

       None.

#### Exceptions

       1) If the input window does not have double precision type,
          the error SPICE(TYPEMISMATCH) is signaled.

       2) If small is less than or equal to zero, this routine has
          no effect on the window.

#### Files

       None.

#### Particulars

       This routine removes small gaps between adjacent intervals
       by merging intervals separated by gaps of measure less than
       or equal to the limiting measure small.

#### Examples

       Let window contain the intervals

          [ 1, 3 ]  [ 7, 11 ]  [ 23, 27 ]  [ 29, 29 ]

       Then the following series of calls

          wnfild_c (  1, &window );                        (1)
          wnfild_c (  2, &window );                        (2)
          wnfild_c (  3, &window );                        (3)
          wnfild_c ( 12, &window );                        (4)

       produces the following series of windows

          [ 1,  3 ]  [ 7, 11 ]  [ 23, 27 ]  [ 29, 29 ]     (1)
          [ 1,  3 ]  [ 7, 11 ]  [ 23, 29 ]                 (2)
          [ 1,  3 ]  [ 7, 11 ]  [ 23, 29 ]                 (3)
          [ 1, 29 ]                                        (4)

#### Restrictions

        None.

#### Literature_References

        None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       H.A. Neilan     (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)

#### Version

       -CSPICE Version 1.0.0, 27-JUL-2007 (EDW)

          Changed gap size in Examples (4) from 10 to 12 to correct
          erroneous example.

       -CSPICE Version 1.0.0, 29-JUL-2002 (NJB) (HAN) (WLT) (IMU)

#### Index_Entries

       fill small gaps in a d.p. window

#### Link to routine wnfild_c source file wnfild_c.c

    Wed Apr  5 17:54:47 2017